Subject: Re: Glitch in section 3.2

From: [email-masked]
Date: Wed, 2 May 2001 12:40:06 -0700

> > Florian Weimer, <[email-masked]>, writes:
> > > I think it's worthwhile to point out that MPIs with an arbitrary
> > > number of leading zeroes might legitimately occur inside V3 secret key
> > > packets.  Perhaps it's even necessary to amend section 5.5.3 to
> > > clarify this issue (i.e. that leading zeroes MUST NOT be stripped in
> > > this case).
>
> No, the cause is completely different.  The unencrypted actual MPI
> determines the bit length and should not include any leading zeroes,
> but encryption might introduce them (and it's probably not wise to
> adjust the bit length accordingly).

Oh, I see what you mean.  I don't think they should be considered
MPIs while in the encrypted state.  They are encrypted MPI values.
Even though the bit length prefix is left in the clear, they are not to
be interpreted as MPIs until after decrypting.

Hal

---

From: Florian Weimer <[email-masked]>
Date: 02 May 2001 22:13:48 +0200

> be interpreted as MPIs until after decrypting.

This is all true, but the OpenPGP spec doesn't separate unencrypted
and encrypted MPI, they are treated in the same manner.

-- 
Florian Weimer 	                  [email-masked]
University of Stuttgart           http://cert.uni-stuttgart.de/
RUS-CERT                          +49-711-685-5973/fax +49-711-685-5898